@extends('master')

@section('content')
<div class="container-fluid mt--6">
    <div class="content-wrapper">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">{{__('Payout Logs')}}</h3>
                    </div>
                    <div class="table-responsive py-4">
                        <table class="table table-flush" id="datatable-buttons">
                            <thead>
                                <tr>
                                    <th>{{__('S/N')}}</th>
                                    <th class="text-center"></th>  
                                    <th>{{__('Name')}}</th>
                                    <th>{{__('Amount')}}</th>                                                                     
                                    <th>{{__('Charge')}}</th>                                                                     
                                    <th>{{__('Details')}}</th>
                                    <th>{{__('Method')}}</th>
                                    <th>{{__('Status')}}</th>
                                    <th>{{__('Type')}}</th>
                                    <th>{{__('Created')}}</th>
                                    <th>{{__('Updated')}}</th>  
                                </tr>
                            </thead>
                            <tbody>
                            @foreach($withdraw as $k=>$val)
                                <tr>
                                    <td>{{++$k}}.</td>
                                    <td class="text-center">
                                        <div class="text-right">
                                            <div class="dropdown">
                                                <a class="text-dark" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    <i class="fad fa-chevron-circle-down"></i>
                                                </a>
                                                <div class="dropdown-menu dropdown-menu-right dropdown-menu-arrow">
                                                    <a data-toggle="modal" data-target="#delete{{$val->id}}" href="" class="dropdown-item">{{__('Delete')}}</a>
                                                    @if($val->status==0)
                                                        <a class='dropdown-item' href="{{route('withdraw.decline', ['id' => $val->id])}}">{{__('Decline')}}</a>
                                                        <a class='dropdown-item' href="{{route('withdraw.approve', ['id' => $val->id])}}">{{__('Approve')}}</a>
                                                    @endif
                                                </div>
                                            </div>
                                        </div> 
                                    </td>   
                                    <td><a href="{{url('admin/manage-user')}}/{{$val->user['id']}}">{{$val->user['first_name'].' '.$val->user['last_name']}}</a></td>
                                    <td>{{$currency->symbol.number_format($val->amount, '2', '.', '')}}</td>
                                    <td>{{$currency->symbol.number_format($val->charge, '2', '.', '')}}</td>
                                    <td>{{$val->details}}</td>
                                    <td>{{$val->wallet->method}}</td>
                                    <td>
                                        @if($val->status==0)
                                            <span class="badge badge-danger badge-pill">{{__('Unpaid')}}</span>
                                        @elseif($val->status==1)
                                            <span class="badge badge-success badge-pill">{{__('Paid')}}</span> 
                                        @elseif($val->status==2)
                                            <span class="badge badge-info badge-pill">{{__('Declined')}}</span>
                                        @endif
                                    </td> 
                                    <td>          
                                        @if($val->type==1)
                                            <span class="badge badge-info badge-pill">{{__('Trading profit')}}</span>
                                        @elseif($val->type==2)
                                            <span class="badge badge-info badge-pill">{{__('Account balance')}}</span>                  
                                        @elseif($val->type==3)
                                            <span class="badge badge-info badge-pill">{{__('Referral bonus')}}</span>
                                        @endif
                                    </td> 
                                    <td>{{date("Y/m/d h:i:A", strtotime($val->created_at))}}</td>
                                    <td>{{date("Y/m/d h:i:A", strtotime($val->updated_at))}}</td>                 
                                </tr>
                                <div class="modal fade" id="delete{{$val->id}}" tabindex="-1" role="dialog" aria-labelledby="modal-form" aria-hidden="true">
                                    <div class="modal-dialog modal- modal-dialog-centered modal-md" role="document">
                                        <div class="modal-content">
                                            <div class="modal-body p-0">
                                                <div class="card bg-white border-0 mb-0">
                                                    <div class="card-header">
                                                        <h3 class="mb-0">{{__('Are you sure you want to delete this?')}}</h3>
                                                    </div>
                                                    <div class="card-body px-lg-5 py-lg-5 text-right">
                                                        <button type="button" class="btn btn-neutral btn-sm" data-dismiss="modal">{{__('Close')}}</button>
                                                        <a  href="{{route('withdraw.delete', ['id' => $val->id])}}" class="btn btn-danger btn-sm">{{__('Proceed')}}</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div> 
                                @endforeach               
                            </tbody>                    
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@stop